> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contextual.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Schemas

> List schemas with optional search.



## OpenAPI

````yaml api-reference/openapi.json get /extract/schemas
openapi: 3.1.0
info:
  title: Endpoints
  version: '1.0'
servers:
  - url: https://api.contextual.ai/v1
security:
  - BearerAuth: []
paths:
  /extract/schemas:
    get:
      tags:
        - /extract
      summary: List Schemas
      description: List schemas with optional search.
      operationId: list_schemas_extract_schemas_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 20
            title: Limit
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Cursor
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SchemaListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SchemaListResponse:
      properties:
        schemas:
          items:
            $ref: '#/components/schemas/SchemaResponse'
          type: array
          title: Schemas
          description: List of schemas
        total_count:
          type: integer
          title: Total Count
          description: Total number of schemas
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
          description: >-
            Next cursor to continue pagination. Omitted if there are no more
            schemas to retrieve.
        prev_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Prev Cursor
          description: >-
            Previous cursor to go back in pagination. Omitted if this is the
            first page.
      type: object
      required:
        - schemas
        - total_count
      title: SchemaListResponse
      description: Response model for schema listing.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SchemaResponse:
      properties:
        schema_id:
          type: string
          title: Schema Id
          description: Unique ID of the schema
        name:
          type: string
          title: Name
          description: Name of the schema
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Description of the schema
        schema_definition:
          additionalProperties: true
          type: object
          title: Schema Definition
          description: JSON schema definition
        metadata:
          additionalProperties: true
          type: object
          title: Metadata
          description: Schema metadata
        created_at:
          type: string
          title: Created At
          description: Timestamp when the schema was created
        updated_at:
          type: string
          title: Updated At
          description: Timestamp when the schema was last updated
      type: object
      required:
        - schema_id
        - name
        - schema_definition
        - metadata
        - created_at
        - updated_at
      title: SchemaResponse
      description: Response model for schema information.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````